petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGMRESSetRestart

Sets number of iterations at which GMRES, FGMRES and LGMRES restarts.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESSetRestart(KSP ksp, PetscInt restart)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| restart | - integer restart value

### Options Database

-ksp_gmres_restart <positive integer> - Note: The default value is 30.

### Keywords

KSP, GMRES, restart, iterations

### See Also

KSPSetTolerances(), KSPGMRESSetOrthogonalization(), KSPGMRESSetPreAllocateVectors(), KSPGMRESGetRestart()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/gmres.c

### Implementations

KSPGMRESSetRestart_FGMRES in src/ksp/ksp/impls/gmres/fgmres/fgmres.c
KSPGMRESSetRestart_GMRES in src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages